/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: http://www.uovalor.com
Last modified by Death on Jan-25-2011 08:34:26pm
Filepath: scripts\_custom\events and scenarios\Slime Event 2011\Quest Items\FullSlimeBasin.cs
Lines of code: 51
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{
	public class FullSlimeBasin : Item
	{
		public string colorname;
		
		[CommandProperty( AccessLevel.GameMaster )]
		public string ColorName
		{
			get { return colorname; }
			set { colorname = value;}
		}
		
		[Constructable]
		public FullSlimeBasin(int hue, string label) : base(3619)
		{
			Name = "A full slime basin";
			Weight = 1.0;
			Hue = hue;
			this.colorname = label;
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			if (colorname != null) {
				list.Add( 1060658,"Pigment Color \t" + colorname);
			}
		}
		
		public override void OnDoubleClick( Mobile from )
		{
			from.SendMessage( "This basin has been filled with pigmented slime. Return it to Lydia the Slime Researcher in Jhelom." );
		}

		public FullSlimeBasin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
			writer.Write((string)colorname);
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			colorname = reader.ReadString();
		}
	}
}